Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class HTMLEncoder

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.AbstractCharReplacementEncoder
          org.codehaus.groovy.grails.plugins.codecs.XMLEncoder
              org.codehaus.groovy.grails.plugins.codecs.HTMLEncoder

    public class HTMLEncoder
    extends XMLEncoder

HTMLEncoder implementation currently this doesn't add any extra features to XMLEncoder This encoder is for XML, XHTML and HTML5 documents.

Authors:
  Lari Hotari

See Also:
  HTML4Encoder

Since:
  2.3

Field Summary
`static CodecIdentifier` | `HTML_CODEC_IDENTIFIER`

Fields inherited from class XMLEncoder
XML_CODEC_IDENTIFIER

Fields inherited from class AbstractCharReplacementEncoder
codecIdentifier

Constructor Summary
`HTMLEncoder()`

Method Summary
`protected java.lang.Object` | `doEncode(java.lang.Object o)`

Methods inherited from class XMLEncoder
doEncode, encode, encodeToXmlString, escapeCharacter, xmlEscapeCharacter

Methods inherited from class AbstractCharReplacementEncoder
convertToString, doCharReplacementEncoding, encode, encodeToStream, encodeToWriter, escapeCharSequence, escapeCharacter, getCodecIdentifier, isApplyToSafelyEncoded, isSafe, markEncoded

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### HTML_CODEC_IDENTIFIER

    public static final CodecIdentifier HTML_CODEC_IDENTIFIER

Constructor Detail

### HTMLEncoder

    public HTMLEncoder()

Method Detail

### doEncode

    protected java.lang.Object doEncode(java.lang.Object o)

Groovy Documentation